Pricefx REST API Reference
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
Request
Uploads an Excel file to a specific import via the upload slot created by /uploadmanager.newuploadslot. Use the optional managerUN query parameter to specify the unique name of the Import Manager.
The maximum file size: 1GB
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.upload/{slotId}/{typeCode}/{target}
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.upload/{slotId}/{typeCode}/{target}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.upload/{slotId}/{typeCode}/{target}?managerUN=string' \
-H 'Content-Type: multipart/form-data' \
-F file=stringResponse
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-b6fcc5bb8-9pmxh", "data": [ … ], "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.fetchchanges/{uniqueName}
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.fetchchanges/{uniqueName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.fetchchanges/{uniqueName}' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "response": { "node": "string", "startRow": 0, "data": [ … ], "endRow": 0, "totalRows": 0, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.deletechanges
- URL:https://companynode.pricefx.com/pricefx/companypartition/importmanager.deletechanges
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/importmanager.deletechanges \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedIds": [
"string"
]
}
}'Response
application/json
{ "response": { "node": "string", "data": null, "status": 0, "startRow": 0, "endRow": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments